4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ElementElement

Implementation of xsl:element element
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ElementElement |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class ElementElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

execute(self, context, processor, name, namespace)
instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = {'name': <Ft.Xml.Xslt.AttributeInfo.RawQNameAvt instance>, 'namespace': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'use-attribute-sets': <Ft.Xml.Xslt.AttributeInfo.QNames instance>}

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'